API reference

External Accounts

Knox answers these operations with the same requests and responses as Stripe's API. Authenticate with your secret key, Authorization: Bearer sk_test_..., from your server, and send form-encoded bodies. Test mode only: live processing is currently disabled.

Base URL
https://api.knoxapi.com

Update a bank account

POST/v1/external_accounts/{id}

Updates the metadata, account holder name, account holder type of a bank account belonging to a connected account and optionally sets it as the default for its currency. Other bank account details are not editable by design. You can only update bank accounts when account.controller.requirement_collection is application, which includes Custom accounts. You can re-enable a disabled bank account by performing an update call without providing any arguments or changes.

Path parameters

  • idstringRequired

Body parameters

  • account_holder_namestring

    The name of the person or business that owns the bank account.

  • account_holder_typestring

    The type of entity that holds the account. This can be either individual or company.

    Possible values
    • company
    • individual
  • account_typestring

    The bank account type. This can only be checking or savings in most countries. In Japan, this can only be futsu or toza.

    Possible values
    • checking
    • futsu
    • savings
    • toza
  • address_citystring

    City/District/Suburb/Town/Village.

  • address_countrystring

    Billing address country, if provided when creating card.

  • address_line1string

    Address line 1 (Street address/PO Box/Company name).

  • address_line2string

    Address line 2 (Apartment/Suite/Unit/Building).

  • address_statestring

    State/County/Province/Region.

  • address_zipstring

    ZIP or postal code.

  • default_for_currencyboolean

    When set to true, this becomes the default external account for its currency.

  • documentsobject

    Documents that may be submitted to satisfy various informational requests.

    Show 1 child parameter
    • bank_account_ownership_verificationobject
      Show 1 child parameter
      • filesarray of strings
  • exp_monthstring

    Two digit number representing the card’s expiration month.

  • exp_yearstring

    Four digit number representing the card’s expiration year.

  • expandarray of strings

    Specifies which fields in the response should be expanded.

  • metadataobject

    Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to metadata.

  • namestring

    Cardholder name.

Returns

The external_account object.

POST /v1/external_accounts/{id}
curl https://api.knoxapi.com/v1/external_accounts/ba_1PgagAB7WZ01zgkWr3DySp2Q \
  -H "Authorization: Bearer $KNOX_SECRET_KEY" \
  -d "metadata[order_id]=6735"
Response
{
  "account_holder_name": "Jane Austen",
  "account_holder_type": "company",
  "account_type": null,
  "bank_name": "STRIPE TEST BANK",
  "country": "US",
  "currency": "usd",
  "customer": null,
  "fingerprint": "AuoSJ18zsVWV9SPc",
  "id": "ba_1PgagAB7WZ01zgkWr3DySp2Q",
  "last4": "6789",
  "metadata": {},
  "object": "bank_account",
  "routing_number": "110000000",
  "status": "new"
}

Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.